function PIPrint( opt, ofn, label, ori )
% PIPRINT Prints putput from PI routines, with file type option
% PT, 24-25 July 2015 updated 4 & 7 Sep 2015
%   INPUT
%       opt = string, giving file type
%       ofn = string, giving name for printed file
%       label = string, short informative label for diagram
%       ori = optional scalar, giving orientation(default is portrait)

orient portrait
if nargin > 3, 
    if ori > 0.5, orient tall; end
end
cal = fix(clock);
% hrminsec = ['-' num2str(cal(4)) '-' num2str(cal(5)) '-' num2str(cal(6))];
dayhrmin = ['-' num2str(cal(3)) '-' num2str(cal(4)) '-' num2str(cal(5)) ];
ofn = [ofn dayhrmin '.' opt];
ofn = ['diagrams' filesep ofn]; % write to subfolder, respecting platform
    switch opt
        case 'ai' 
            print('-dill', ofn);  % might not work in future?
        case 'pdf'
            print('-dpdf', ofn);
        case 'ps'
            print('-dpsc2', ofn);
        case 'eps'
            print('-depsc2', ofn);
        case 'svg'
            print('-dsvg', ofn);
        otherwise
            fprintf('\n%s\n',' ---- printing error');
    end % of switch
    fprintf('\n%s\n\n', ['== ' label ' saved as ' ofn]);

end

